Op den Inhalt sprangen

LongCat Video · Image to Video · 720p

Integréieren

Modell-ID longcat-video/image-to-video/720p
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/longcat-video/image-to-video/720p?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Dateie wéi am Beispill: 0,216 $ 216 API-Kreditter · ≈ 23,24 ₽ Är Dateie gi virun der Ausféierung gemooss Op dëser Säit ausféieren

API-Schlëssel kréien
Meituan Bild zu Video 4K-Output

Bild-zu-Video bei 720p mat enger zousätzlecher Refinement-Pass an engem Standard vun 30 fps

Meituan · Video

Äin éischt Resultat kënnt hei hin

Baut hei drënner eng Ufro a féiert se mat Ärem API-Schlëssel aus. Output gëtt an eis Späicherung kopéiert, fir ëmmer oder 7 Deeg gratis gespäichert.

Eng Ufro erstellen

D'Kontrolle ginn aus dem Modellschema generéiert. De Code an de Präis aktualiséiere sech, wann s du se ännerst.

Standard First-person view fro...

Prompt, deen d'Videogeneratioun dirigéiert.

•obligatoresch image_url
Fichier erofzéien, oder

Quellbild-URL fir d'Videogeneratioun.

Standard 162

Frame-Zuel vum generéierten Output.

Erweidert negative_prompt · video_output_type · video_quality · video_write_mode · acceleration · num_inference_steps · num_refine_inference_steps · guidance_scale · fps · seed · enable_prompt_expansion · enable_safety_checker
Standard Bright tones, overexp...

Negative Prompt fir d'Generatioun vum Video.

video_output_type Standard X264 (.mp4)

Output-Typ vum resultéierende Video.

video_quality Standard high

Qualitéitsniveau vum resultéierende Video.

video_write_mode Standard balanced

Schreifmodus vum resultéierende Video.

acceleration Standard regular

Beschleunigungsniveau während der Videogeneratioun.

Standard 40

Zuel vun den Inferenzschrëtt während der Videogeneratioun.

Standard 40

Zuel vun den Inferenzschrëtt während der Verfeinerung.

Standard 4

Guidance-Skala bei der Generatioun vum Video.

Standard 30

Frame-Rate vum Output-Video.

Seed-Wäert, deen d'Generatioun vun Zoufallszuelen initialiséiert.

POST /run/longcat-video/image-to-video/720p?wait=20 Präis → 0,216 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/longcat-video/image-to-video/720p?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Dës Ufro ausféieren

Äre Schlëssel bleift an dësem Browser: e gëtt nëmmen un d'Doitong API geschéckt an nëmme gespäichert (localStorage), wann s du „Erënneren“ aktivéiers. En API-Schlëssel kréien

Iwwer LongCat Video · Image to Video · 720p

Animéiert en Input-Bild zu engem laange Video, mat enger zweeter Verfeinerungsstuf, déi iwwer `num_refine_inference_steps` (8 bis 50) gesteiert gëtt. `num_frames` geet vun 17 bis 961 (Standard 162), an d'Frame-Rate ass standardméisseg 30. Et akzeptéiert och e Prompt, Negativ-Prompt an `guidance_scale` (1 bis 10). Output-Formater enthalen mp4, webm, ProRes mov a GIF.

Parameteren

Schéck entweder den kanoneschen Numm oder den natierlechen Numm, net béid. Kanonesch Nimm

NummTyp StandardErlaabt Beschreiwung
image_urlobligatoresch image
Typurl · image
Quellbild-URL fir d'Videogeneratioun.
promptoptional
Typstring
StandardFirst-person view from the cockpit of a Formula 1 car. The driver's gloved hands firmly grip the intricate, carbon-fiber steering wheel adorned with numerous colorful buttons and a vibrant digital display showing race data. Beyond the windshield, a sun-drenched racetrack stretches ahead, lined with cheering spectators in the grandstands. Several rival cars are visible in the distance, creating a dynamic sense of competition. The sky above is a clear, brilliant blue, reflecting the exhilarating atmosphere of a high-speed race. high resolution 4k
Prompt, deen d'Videogeneratioun dirigéiert.
negative_promptoptional
Typstring
StandardBright tones, overexposed, static, blurred details, subtitles, style, works, paintings, images, static, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, misshapen limbs, fused fingers, still picture, messy background, three legs, many people in the background, walking backwards
Negative Prompt fir d'Generatioun vum Video.
num_framesoptional
Typinteger
Standard162
17 – 961
Frame-Zuel vum generéierten Output.
num_inference_stepsoptional
Typinteger
Standard40
8 – 50
Zuel vun den Inferenzschrëtt während der Videogeneratioun.
num_refine_inference_stepsoptional
Typinteger
Standard40
8 – 50
Zuel vun den Inferenzschrëtt während der Verfeinerung.
guidance_scaleoptional
Typnumber
Standard4
1 – 10
Guidance-Skala bei der Generatioun vum Video.
fpsoptional
Typinteger
Standard30
1 – 60
Frame-Rate vum Output-Video.
seedoptional
Typinteger | null
Seed-Wäert, deen d'Generatioun vun Zoufallszuelen initialiséiert.
enable_prompt_expansionoptional
Typboolean
Standardfalse
Steiert, ob d'Prompt-Erweiderung aktivéiert ass.
enable_safety_checkeroptional
Typboolean
Standardtrue
Schalter fir d'Sécherheetskontroll, ofhängeg vun de Kontorechter: Kontrollen bleiwen fir net autoriséiert Ufroe obligatoresch, an d'Deaktivéierung verlaangt Autorisatioun.
video_output_typeoptional
Typenum
StandardX264 (.mp4)
X264 (.mp4)VP9 (.webm)PRORES4444 (.mov)GIF (.gif)
Output-Typ vum resultéierende Video.
video_qualityoptional
Typenum
Standardhigh
lowmediumhighmaximum
Qualitéitsniveau vum resultéierende Video.
video_write_modeoptional
Typenum
Standardbalanced
fastbalancedsmall
Schreifmodus vum resultéierende Video.
accelerationoptional
Typenum
Standardregular
noneregular
Beschleunigungsniveau während der Videogeneratioun.
obligatoresch Kanoneschen Numm, och akzeptéiert

Fichierparameter akzeptéieren eng ëffentlech https:// URL, eng data: URI bis zu 10 MB oder de file_url vun engem Upload. Fichieren

Output

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "longcat-video/image-to-video/720p",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 216,
    "usd": "0.216",
    "charged": 216,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "prompt": "First-person view from the cockpit of a Formula 1 car. The driver's gloved hands firmly grip the intricate, carbon-fiber steering wheel adorned with numerous colorful buttons and a vibrant digital display showing race data. Beyond the windshield, a sun-drenched racetrack stretches ahead, lined with cheering spectators in the grandstands. Several rival cars are visible in the distance, creating a dynamic sense of competition. The sky above is a clear, brilliant blue, reflecting the exhilarating atmosphere of a high-speed race. high resolution 4k",
    "seed": 42,
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Är Fichieren, Är WielAll outputs[].url ass eng Kopie an eiser Späicherung: fir ëmmer gespäichert (bezuelbar pro GB-Mount) oder 7 Deeg gratis, jee no Ärer Kontastellung oder ?storage=.
D'selwecht Struktur bei all Modelltype, url, content_type, width, height an duration, fir Biller, Video an Audio gläichermoossen. output ass dem Modell säin eegent Resultatobjet.
Output-Felder
prompt
stringPrompt, dee fir d'Generatioun vum Output benotzt gouf.
seed
integerSeed-Wäert, deen während der Generatioun applizéiert gouf.
video
object {url, content_type, file_name, file_size}Video-Datei, déi duerch d'Generatioun erstallt gouf.

Méi Modeller: Bild zu Video

Fir AI-Agenten: dës Säit als Markdown ass ënner https://doitong.com/lb/developers/models/longcat-video/image-to-video/720p.md. All Modeller a Guiden: https://doitong.com/developers/llms.txt